Bug 822766 - nfs:nfs.export-volumes enable , fails to display volume that can be exported
nfs:nfs.export-volumes enable , fails to display volume that can be exported
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Rajesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 01:33 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-28 05:16:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-05-18 01:33:15 EDT
Description of problem:

[root@RHS-71 ~]# 
[root@RHS-71 ~]# gluster volume info dist-rep
 
Volume Name: dist-rep
Type: Distributed-Replicate
Volume ID: 83406b40-259f-4434-bfba-9b8a177a96ee
Status: Started
Number of Bricks: 3 x 2 = 6
Transport-type: tcp
Bricks:
Brick1: 172.17.251.71:/export/replace-dr
Brick2: 172.17.251.72:/export/drr
Brick3: 172.17.251.73:/export/ddr
Brick4: 172.17.251.74:/export/ddrr
Brick5: 172.17.251.71:/export/addr-dr
Brick6: 172.17.251.72:/export/add-drr
Options Reconfigured:
nfs.disable: on
nfs.export-volumes: disable
features.quota: off
[root@RHS-71 ~]# 
[root@RHS-71 ~]# 
[root@RHS-71 ~]# gluster volume set dist-rep nfs.disable off
Set volume successful
[root@RHS-71 ~]# gluster volume set dist-rep nfs.export-volumes on
Set volume successful
[root@RHS-71 ~]# gluster volume set dist-rep nfs.export-volumes enab;e
option nfs3.export-volumes enab: 'enab' is not a valid boolean value
Set volume unsuccessful
-bash: e: command not found
[root@RHS-71 ~]# gluster volume set dist-rep nfs.export-volumes enable
Set volume successful
[root@RHS-71 ~]# 
[root@RHS-71 ~]# 
[root@RHS-71 ~]# showmount -e 0
Export list for 0:
[root@RHS-71 ~]# 
[root@RHS-71 ~]# 
[root@RHS-71 ~]# gluster volume reset dist-rep
reset volume successful
[root@RHS-71 ~]# showmount -e 0
Export list for 0:
/dist-rep *
[root@RHS-71 ~]# 


Version-Release number of selected component (if applicable):
3.3.0qa41

How reproducible:
always

Steps to Reproduce:
1. volume set with nfs.disable on and nfs.export-volumes disable
2. now put nfs.disable off and nfs.export-volumes enable
3. showmount -e 0
  
Actual results:
the volumes that can be exported are not listed

Expected results:
the volume should be listed

Additional info:

the volumes get listed once the "volume reset <volname> cmd is executed.

Note You need to log in before you can comment on or make changes to this bug.